/*****************************************************************
* This program analyzes the balance of advertising               *
* treatment as reported in Tables A1A and A1B                    *
* of Huber/Arceneaux 2007.                                       *
*                                                                *
* The .do file uses this dataset:                                *
* balancecheckdata.dta                                           *
*                                                                *
* April 2007, Gregory Huber and Kevin Arceneaux                  *
*****************************************************************/

#delimit;
set memory 64m;
use balancecheckdata.dta;

reg bush_margin r96pct battleground, robust;
outreg using TableA1A.out, coefastr 3aster se bfmt(fc) bdec(3) tdec(2) ctitle("All States") nonotes replace;
xtreg bush_margin r96pct if multimarket==1, fe i(stnum);
outreg using TableA1A.out, coefastr 3aster se bfmt(fc) bdec(3) tdec(2) ctitle("All States") nonotes append;
xtreg bush_margin r96pct if multimarket==1 & battleground==0, fe i(stnum);
outreg using TableA1A.out, coefastr 3aster se bfmt(fc) bdec(3) tdec(2) ctitle("Non-Battleground States") nonotes append;

reg presadgrp closeness96 battleground, robust;
outreg using TableA1B.out, coefastr 3aster se bfmt(fc) bdec(3) tdec(2) ctitle("All States") nonotes replace;
xtreg presadgrp closeness96 if multimarket==1, fe i(stnum);
outreg using TableA1B.out, coefastr 3aster se bfmt(fc) bdec(3) tdec(2) ctitle("All States") nonotes append;
xtreg presadgrp closeness96 if multimarket==1 & battleground==0, fe i(stnum);
outreg using TableA1B.out, coefastr 3aster se bfmt(fc) bdec(3) tdec(2) ctitle("Non-Battleground States") nonotes append;
